EBUS(4)

NAME
ebus - EBus controller and bus

SYNOPSIS
device ebus

DESCRIPTION
The ebus driver provides support for the EBus controller and bus found in most PCI based UltraSPARC systems. The EBus bus is designed to provide the ability to put ISA and traditional Intel style peripherals in a SPARC based system with a minimal amount of glue logic. In UltraSPARC systems it is implemented with either a PCIO or a PCIO-2 chip from Sun Microelectronics. The PCIO chip also implements a hme(4) compatible PCI network device. The PCIO-2 chip also implements a fwohci(4) compatible IEEE 1394 OHCI interface, a gem(4) compatible PCI network device and an ohci(4) compatible OHCI USB controller. The EBus has four DMA channels, similar to the DMA seen in the esp(4) SCSI DMA.

SEE ALSO
atkbdc(4), auxio(4), eeprom(4), rtc(4), scc(4), snd_audiocs(4), uart(4) Sun Microelectronics, Peripheral Component Interconnect Input Output Controller, Part No.: 802-7837-01, March 1997, http://www.sun.com/oem/products/manuals/802-7837.pdf.

HISTORY
The ebus driver first appeared in NetBSD 1.5. The first FreeBSD version to include it was FreeBSD 5.0.

AUTHORS
-nosplit The ebus driver was written by Matthew R. Green and ported to FreeBSD by Thomas Moestl <tmm@FreeBSD.org>.